diff -pruN 5.0-3/debian/changelog 5.0-3ubuntu1/debian/changelog
--- 5.0-3/debian/changelog	2020-02-18 02:12:43.000000000 +0000
+++ 5.0-3ubuntu1/debian/changelog	2020-04-20 14:57:57.000000000 +0000
@@ -1,3 +1,10 @@
+wine (5.0-3ubuntu1) focal; urgency=medium
+
+  * Fix build with unicode 13 (Closes: #954132)
+  * Fix build on arm64 with recent Clang
+
+ -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Apr 2020 14:57:57 +0000
+
 wine (5.0-3) unstable; urgency=medium
 
   * Support building with clang 9 on arm64 (closes: #951507).
diff -pruN 5.0-3/debian/control 5.0-3ubuntu1/debian/control
--- 5.0-3/debian/control	2020-02-18 02:12:43.000000000 +0000
+++ 5.0-3ubuntu1/debian/control	2020-04-17 12:29:40.000000000 +0000
@@ -2,7 +2,8 @@ Source: wine
 Section: otherosfs
 Priority: optional
 Homepage: https://www.winehq.org
-Maintainer: Debian Wine Party <debian-wine@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Wine Party <debian-wine@lists.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
@@ -29,8 +30,8 @@ Build-Depends:
  librsvg2-bin,
  fontforge-nox,
  khronos-api (>= 4.6),
- unicode-data (>= 11),
- unicode-data (<< 13),
+ unicode-data (>= 13),
+ unicode-data (<< 14),
  libxi-dev,
  libxt-dev,
  libxmu-dev,
diff -pruN 5.0-3/debian/control.in 5.0-3ubuntu1/debian/control.in
--- 5.0-3/debian/control.in	2020-02-10 03:06:55.000000000 +0000
+++ 5.0-3ubuntu1/debian/control.in	2020-04-17 12:29:40.000000000 +0000
@@ -2,7 +2,8 @@ Source: wineVERSION
 Section: otherosfs
 Priority: optional
 Homepage: https://www.winehq.org
-Maintainer: Debian Wine Party <debian-wine@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Wine Party <debian-wine@lists.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
@@ -29,8 +30,8 @@ Build-Depends:
  librsvg2-bin,
  fontforge-nox,
  khronos-api (>= 4.6),
- unicode-data (>= 11),
- unicode-data (<< 13),
+ unicode-data (>= 13),
+ unicode-data (<< 14),
  libxi-dev,
  libxt-dev,
  libxmu-dev,
diff -pruN 5.0-3/debian/patches/arm64.patch 5.0-3ubuntu1/debian/patches/arm64.patch
--- 5.0-3/debian/patches/arm64.patch	1970-01-01 00:00:00.000000000 +0000
+++ 5.0-3ubuntu1/debian/patches/arm64.patch	2020-04-20 14:56:49.000000000 +0000
@@ -0,0 +1,35 @@
+Description: Fix build on arm64 with recent Clang
+ Cherry-picked from Gianfranco Costamagna's patch in
+ wine-development 5.5-3ubuntu1
+Author: Graham Inggs <ginggs@debian.org>
+Last-Update: 2020-04-17
+
+--- a/dlls/dbghelp/Makefile.in
++++ b/dlls/dbghelp/Makefile.in
+@@ -2,6 +2,7 @@
+ IMPORTLIB = dbghelp
+ EXTRADEFS = -D_IMAGEHLP_SOURCE_
+ DELAYIMPORTS = version
++CFLAGS += -Wno-misleading-indentation
+ EXTRAINCL = $(Z_CFLAGS)
+ EXTRALIBS = $(Z_LIBS) $(CORESERVICES_LIBS) $(COREFOUNDATION_LIBS)
+ 
+--- a/dlls/dsound/Makefile.in
++++ b/dlls/dsound/Makefile.in
+@@ -1,5 +1,6 @@
+ MODULE    = dsound.dll
+ IMPORTLIB = dsound
++CFLAGS += -Wno-implicit-int-float-conversion
+ IMPORTS   = dxguid uuid winmm ole32 advapi32 user32 ucrtbase
+ 
+ EXTRADLLFLAGS = -mno-cygwin
+--- a/dlls/msdmo/Makefile.in
++++ b/dlls/msdmo/Makefile.in
+@@ -1,6 +1,7 @@
+ MODULE    = msdmo.dll
+ IMPORTLIB = msdmo
+ IMPORTS   = dmoguids uuid ole32 user32 advapi32
++CFLAGS += -Wno-sizeof-array-div
+ 
+ EXTRADLLFLAGS = -mno-cygwin
+ 
diff -pruN 5.0-3/debian/patches/series 5.0-3ubuntu1/debian/patches/series
--- 5.0-3/debian/patches/series	2020-02-18 02:12:43.000000000 +0000
+++ 5.0-3ubuntu1/debian/patches/series	2020-04-20 14:53:27.000000000 +0000
@@ -47,3 +47,6 @@ warnings/argument-promotion.patch
 warnings/discarded-qualifiers.patch
 warnings/incompatible-pointers.patch
 warnings/uninitialized-variables.patch
+
+unicode13.patch
+arm64.patch
diff -pruN 5.0-3/debian/patches/unicode13.patch 5.0-3ubuntu1/debian/patches/unicode13.patch
--- 5.0-3/debian/patches/unicode13.patch	1970-01-01 00:00:00.000000000 +0000
+++ 5.0-3ubuntu1/debian/patches/unicode13.patch	2020-04-20 14:52:32.000000000 +0000
@@ -0,0 +1,16 @@
+Description: Fix build with unicode 13
+Origin: upstream, https://salsa.debian.org/wine-team/wine/-/commit/b83af7c763b40280650990d4ca6385ad35143b00
+Last-Update: 2020-03-13
+
+--- a/tools/make_unicode
++++ b/tools/make_unicode
+@@ -193,7 +193,8 @@
+     "Top_And_Bottom_And_Right"  => 0x0c,
+     "Overstruck"  => 0x0d,
+     "Invisible"  => 0x0e,
+-    "Bottom_And_Left"  => 0x0f
++    "Bottom_And_Left"  => 0x0f,
++    "Top_And_Bottom_And_Left"  => 0x10,
+ );
+ 
+ my %nameprep_flags =
